diff a/src/jdk.incubator.code/share/classes/jdk/incubator/code/bytecode/impl/BytecodeHelpers.java b/src/jdk.incubator.code/share/classes/jdk/incubator/code/bytecode/impl/BytecodeHelpers.java
--- /dev/null
+++ b/src/jdk.incubator.code/share/classes/jdk/incubator/code/bytecode/impl/BytecodeHelpers.java
@@ -0,0 +1,16 @@
+package jdk.incubator.code.bytecode.impl;
+
+import java.lang.classfile.Opcode;
+
+public final class BytecodeHelpers {
+
+    // Copied from java.base/jdk.internal.classfile.impl.BytecodeHelpers
+    // to avoid export of package from java.base to jdk.incubator.code
+
+    public static boolean isUnconditionalBranch(Opcode opcode) {
+        return switch (opcode) {
+            case GOTO, ATHROW, GOTO_W, LOOKUPSWITCH, TABLESWITCH -> true;
+            default -> opcode.kind() == Opcode.Kind.RETURN;
+        };
+    }
+}
